"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidJWT = void 0;
const _helpers_js_1 = require("./_helpers.js");
/**
 * Returns `true` if `value` is a valid JWT.
 *
 * JWTs contain three [Base64URL-encoded][base64url] sections separated by periods (`.`).
 *
 * [base64url]: https://base64.guru/standards/base64url
 */
exports.isValidJWT = (0, _helpers_js_1.getRegexValidatorFn)(/^([a-zA-Z0-9_-]{2,}\.){2}[a-zA-Z0-9_-]{2,}$/);
// Note: hyphen literals are at the end of their groups to avoid range creation
